VUZE CHANGELOG
-----------------

2015.03.03 | Vuze 5.6.0.0

FEATURE: UI   | Restructured Library view context (right-click) menu [TuxPaper]
FEATURE: UI   | A basic quick-options plugin bar view [Parg]
FEATURE: UI   | Support upload/download disable for Tag rate limits [Parg]
FEATURE: UI   | Support .vuze files in the plugin installation wizard [Parg]
FEATURE: UI   | Added some subscription settings to the sidebar context menu [Parg]
FEATURE: UI   | Explicit browser configuration option for non-public content [Parg]
FEATURE: UI   | Option to hide do-not-download files in the Files View [Parg]
FEATURE: UI   | Right-click menu option in Peers View to kick a peer without banning them [Parg]
FEATURE: UI   | Support for output redirection from console UI commands [Parg]
FEATURE: Core | Swarm merging - http://wiki.vuze.com/w/Swarm_Merging [Parg]
FEATURE: Core | Option to automatically select files for 'do not download' based on file type suffix [Parg]
FEATURE: Core | Device transcodes can now be auto-shared and tagged [Parg]
FEATURE: Core | isComplete, percentage and age added to Tag constraint language [Parg]
FEATURE: Plug | Decentralized chat - http://wiki.vuze.com/w/Decentralized_Chat [Parg]
FEATURE: Plug | RSS-to-chat plugin - http://wiki.vuze.com/w/RSS_To_Chat [Parg]
FEATURE: Plug | TorBrowser plugin now supports browsing of .i2p content [Parg]
FEATURE: Plug | Play-to DLNA enabled devices support [TuxPaper]
FEATURE: Plug | Swarm search is now also accessible via right-click menu [Parg]

CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Show decoded magnet URI title in download window [Parg]
CHANGE: UI    | DHT activity view was showing queued activities - fixed to only show active ones [Parg]
CHANGE: UI    | Added eepsite and onion site to About Window [TuxPaper]
CHANGE: Core  | Auto-download subscriptions now scheduled more fairly [Parg]

BUGFIX: UI    | Status bar tooltip flicker reduced [Parg]
BUGFIX: UI    | Sometimes the sub-tab 'sash' could become inaccessible [Parg]
BUGFIX: Core  | Fix 'is-interested' bug [Parg]
BUGFIX: Core  | Force disconnect duplicate outbound, stuck peers connections [Parg]
BUGFIX: Plug  | Magnet URI plugin not always terminating quickly on successfull torrent download [Parg]
BUGFIX: Plug  | Fixed resource leak in Magnet URI plugin [Parg]



2014.11.19 | Vuze 5.5.0.0

FEATURE: UI   | Added option to use quick-view rather than 'launch' when double-clicking files [Parg]
FEATURE: UI   | Tag Discoveries [TuxPaper]
FEATURE: UI   | Use of ctrl+<space> in download save location field now shows auto-complete suggestions [Parg]
FEATURE: UI   | History size of saved download locations now configurable [Parg]
FEATURE: UI   | Added option in torrent options dialog to remove top level folder in multi-file torrents [Parg]
FEATURE: UI   | RSS subscriptions can now be added via search box [Parg]
FEATURE: UI   | Added 'Tag groups' to allow more control over tag order in the sidebar [Parg]
FEATURE: UI   | Tag buttons in Library views now obey visility settings [Parg]
FEATURE: UI   | Option to only show tag buttons in the complete section of the Library views [Parg]
FEATURE: UI   | Ability to set short-cut accelerators on a per-config panel basis [Parg]
FEATURE: UI   | Optional 'selected download' aggregate up/down rates in Library header [Parg]
FEATURE: UI   | Console UI commands for subscriptions [Parg]
FEATURE: UI   | Console UI commands for tags [Parg]
FEATURE: Core | Added ability set an explicit share ratio to help control seeding rules [Parg]
FEATURE: Core | Option to prevent local tracker host DNS resolution when using SOCKS [Parg]
FEATURE: Core | Added 'hasNet' to tag constraint language [Parg]
FEATURE: Core | Speed limit handler ip-sets renamed to peer-sets and now support tags and networks [Parg]
FEATURE: Core | Support for setting upload and download speeds to 'disabled' [Parg]

CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Most http links in the UI now have copy-to-clipboard menu option [Parg]
CHANGE: UI    | Personal share menu enable/disable state not calculated for large torrents due to resource cost [TuxPaper]
CHANGE: UI    | Automatic renaming oftorrents who's top level folder has changed is now optional [Parg]
CHANGE: UI    | Prevent disabled sub-rows from being expanded in Library [Parg]
CHANGE: Core  | Ignore low-noise downloads when considering 'close on download complete' action [Parg]
CHANGE: Core  | Option to remove low-noise downloads from RSS Feeds [Parg]
CHANGE: Core  | Handle null-content type being returned by some borked feeds [Parg]

BUGFIX: Core  | Fixed 100% CPU bug in search code [Parg]
BUGFIX: Core  | Tags weren't being propagated from subscriptions to downloads correctly [Parg]
BUGFIX: Core  | Fix meta-data download over LT which was causing first peer to be ignored [Parg]
BUGFIX: Core  | Fixed fast-extension exploit that could be used to waste seeding bandwidth [Parg]
BUGFIX: Core  | Rotating bloom filters weren't being reset correctly [Parg]
BUGFIX: Core  | Remove some DNS leaks [Parg]



2014.07.30 | Vuze 5.4.0.0

FEATURE: UI   | Added 'force start' and 'super seeding' options to the create-torrent wizard [Parg]
FEATURE: UI   | File filter added to torrent-options dialog [Parg]
FEATURE: UI   | Minimum/Target share ratio setters added to column menu and torrent options view [Parg]
FEATURE: UI   | Added 'SHA1' column to files-view [Parg]
FEATURE: UI   | Added a default save directory to apply when 'best guess' is enabled and nothing matches [Parg]
FEATURE: UI   | File path names can now be entered into the search box to open the torrent [Parg]
FEATURE: UI   | New column showing the date of completion of the most recent file [Parg]
FEATURE: UI   | Added 'initial tags' to the create-torrent wizard [Parg]
FEATURE: UI   | Enabled networks can now be specified in torrent-options dialog [Parg]
FEATURE: UI   | Added an 'apply to current' function to tags with initial-save/move-on-complete set [Parg]
FEATURE: UI   | Added 'availability' button to torrent-options to allow a torrent's availability to be checked before addition [Parg]
FEATURE: UI   | Tag buttons can now be enabled in Library view; Category buttons can be hidden [Parg]
FEATURE: UI   | Added 'pause for' option for selected torrents in Library view via Advanced menu [Parg]
FEATURE: Plug | Friends plugin now supports tag-based sharing to mirror the existing category based sharing [Parg]
FEATURE: Plug | Improved I2P network integration (new 'I2P Helper Plugin' deprecates existing 'I2P Network Plugin') - see http://wiki.vuze.com/w/I2PHelper_HowTo [Parg]
FEATURE: Plug | The 'Network Status' plugin now tests connectivity to Vuze services (e.g. pairing service) [Parg]
FEATURE: Core | Added simple tag constraint language (e.g. to define a tag that contains downloads whose title matches a regex - see wiki) [Parg]
FEATURE: Core | BEP 40: Canonical Peer Priority [Parg]
FEATURE: Core | Added 'copy-on-complete' function to tags [Parg]
FEATURE: Core | HTTPS support for web-seeds [Parg]
FEATURE: Core | Speed limit handler can now start/stop downloads assigned to particular tags [Parg]

CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | French translation update [Repris d'injustice]
CHANGE: UI    | Spanish translation update [Valtiel]
CHANGE: UI    | Basque translation update [Azpidatziak]
CHANGE: UI    | Network Status plugin results can now be copied to clipboard [Parg]
CHANGE: UI    | Removed potential duplicate 'media already added' dialogs from inadvertent double-clicking [Parg]
CHANGE: UI    | Windows: Azureus.exe binary description now set to play better with Firefox/Thunderbird URI launch dialog [TuxPaper]
CHANGE: UI    | All-peers and console views will now re-open on startup if open on close [Parg]
CHANGE: UI    | Use consistent sash to separate the tabs area in library views [Parg]
CHANGE: UI    | Sources view now displays scrape status for stopped downloads [Parg]
CHANGE: UI    | Update download display name if user renames either single file in a single file torrent or top level folder in a multi-file one [Parg]
CHANGE: Plug  | Internationalization plugin update [Repris d'injustice]
CHANGE: Core  | Paused downloads will now not be auto-started if a device attempts to access content [Parg]
CHANGE: Core  | Reduce CPU usage used for calculating anti-spoof DHT tokens [Parg]
CHANGE: Core  | Queue rules modified to prevent new seeds from being started if up-limit is reached [Parg]

BUGFIX: UI    | Transparancy settings for mini-bars/transfer-bar not being persisted [Parg]
BUGFIX: UI    | Primary tracker details were not being updated in detailed sources view [Parg]
BUGFIX: Core  | Torrent creation was failing when linked folders used and files ignored [Parg]
BUGFIX: Core  | Paused torrent removal was not removing from tag [Parg]
BUGFIX: Core  | Torrent private status not being correctly initialised [Gubatron]
BUGFIX: Core  | Various fixes to network and unresolved address handling [Parg]
BUGFIX: Core  | Handle missing publish dates in RSS feeds [Parg]
BUGFIX: Core  | Handle some XML parsing errors better [Parg]
BUGFIX: Core  | Fix Vuze preventing Windows logoff/shotdown [Parg; Tux]
BUGFIX: Core  | Async listener thread not always started when needed [Parg]
BUGFIX: Core  | Handle malformed announce URLs better [Parg]



2014.02.07 | Vuze 5.3.0.0

FEATURE: UI   | Content selection dialog when more than one file can be played [TuxPaper] 
FEATURE: UI   | Added a configurable 'share ratio progress' column to display times at which certain ratios were met [Parg]
FEATURE: UI   | Added alert count to system tray tooltip and next download eta [Parg]
FEATURE: UI   | Added column to sources view to show completed downloads reported by tracker, where available [Parg]
FEATURE: UI   | Where permitted you can now edit subscription URLS via right-click in sidebar [Parg]
FEATURE: UI   | Subscriptions can now be renamed in the sidebar [Parg]
FEATURE: UI   | Expansion state of torrents in Library views now remembered [Parg]
FEATURE: UI   | Added per-file read/write rates to files view [Parg]
FEATURE: UI   | Added per-file ETA based on file write rate [Parg]
FEATURE: UI   | Support explicit external browsers (or plugin provided) for opening external links [Parg]
FEATURE: UI   | Permit search results and subscription views to be opened in an external browser [Parg]
FEATURE: UI   | Added explicit proxy support for internal browser views [Parg]
FEATURE: UI   | Menu option to delete tracker sources directly from the view [Parg]
FEATURE: UI   | Multi-select support in sources view [Parg]
FEATURE: UI   | Manual tags can now be closed + opened in the sidebar [Parg]
FEATURE: UI   | Transparency can noe be applied to the transfer/mini bars [Parg]
FEATURE: Plug | Added tag support to scannerss plugin [Parg]
FEATURE: Plug | Added Tag support to rss feed scanner plugin [Parg]
FEATURE: Core | Added a downloading queue rules section to control 'rank downloads by speed' option [Parg]
FEATURE: Core | Added manual piece forcing and re-requesting [Parg]
FEATURE: Core | New option to remove 'skipped' partial files when removing download from library [Parg]
FEATURE: Core | DHT can now bootstrap via version server if needed [Parg]
FEATURE: Core | Added the ability to add new torrents in a paused state [Parg]

CHANGE: UI    | Column setup dialog initial sort order is alphabetic ascending [Parg]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Basque translation update [Azpidatziak]
CHANGE: UI    | Korean translation update [Dong-yoon Han]
CHANGE: UI    | Improved system tray tooltip rendering time and added option to menu to enable [Parg]
CHANGE: UI    | Manual Tag menus are now subdivided when there's a lot of tags [Parg]
CHANGE: UI    | Defer updates to sub-tabs when not visible [Parg]
CHANGE: Core  | Don't permit torrent transfer if DHT peer source disabled [Parg]
CHANGE: Core  | Always merge trackers explicitly listed in a magnet URI into the resulting torrent [Parg]
CHANGE: Core  | IPv6 is no longer automatically enabled for Beta/CVS users [Parg]
CHANGE: Core  | Revert 'best guess' download save location logic to default to off when explicit save dir set [Parg]
CHANGE: Core  | Tag initial-save-location now applied when starting a torrent added in stopped state [Parg]
CHANGE: Core  | Tolerate failures to decode search results [Parg]
CHANGE: Core  | An aggregated scrape value is now used to drive seeding rules [Parg]

BUGFIX: UI    | Prevent potential GUI hang when constructing swarm view [Parg]
BUGFIX: UI    | Fix layout issue for total stats view [Parg]
BUGFIX: UI    | Reduce selected content thrashing when multiple selection operated on [Parg]
BUGFIX: UI    | Fix double listener addition in piece info view [Parg]
BUGFIX: Plug  | I2P plugin updated to work with latest I2P releases [Parg]
BUGFIX: Plug  | Fix XML-over-HTTP plugin when using Java 7 [amc]
BUGFIX: Plug  | MLab plugin now uses JSON based server selection [Parg]
BUGFIX: Plug  | Fixed azcron to accept up/download speed limits > 100K/sec [Parg]
BUGFIX: Plug  | Fixed Twitter plugin [Parg]
BUGFIX: Core  | Fixed up test for writability to folders on Windows when ascertaining validity of default save locations [Parg]
BUGFIX: Core  | Prevent subscription lookups from blocking DHT threads [Parg]
BUGFIX: Core  | Fixed parsing of RSS feeds containing bad DTD refs [Parg]
BUGFIX: Core  | Fixed synchronization in pairing state update [Parg]
BUGFIX: Core  | Prevented top-level directories from prematurely being created for add-stopped torrents [Parg]
BUGFIX: Core  | Thread safety improvements for config access [Parg]
BUGFIX: Core  | Prevent open-torrent-options dialog from using low-noise downloads as guessing guidance [Parg]
BUGFIX: Core  | ensure that bind-fails are treated as permanent errors if force-set (fixes unwanted non-VPN connections during VPN connection failure) [Parg]
BUGFIX: Core  | Fixed 100% cpu caused by corrupted hashset [Parg]
BUGFIX: Core  | Added asyncronization to selector creation to work around some AV products blocking Vuze during startup [Parg]
BUGFIX: Core  | Fix tracker announcer issue when editting tracker URLs [Parg]



2013.11.27 | Vuze 5.2.0.0

FEATURE: UI   | Added menu option to notification area to dismiss all notifications [Parg]
FEATURE: UI   | Added download name to sidebar tooltip as may be truncated in sidebar view [Parg]
FEATURE: UI   | Added some image types to the 'quick view' feature [Parg]
FEATURE: UI   | Manual update option for DHT tracker [Parg]
FEATURE: UI   | Added current IP to transfer stats view [Parg]
FEATURE: UI   | Support the assignment of colours to manual tags [Parg]
FEATURE: UI   | Menu option to select folder contents in open torrent options dialog [Parg]
FEATURE: UI   | Added Option to use a single open torrent options dialog for multiple torrents [Parg] 
FEATURE: UI   | Torrent options dialog now supports file priorities [Parg]
FEATURE: UI   | Automatic setting of decreasing file priorities within a torrent (based on selection order) [Parg]
FEATURE: UI   | Added session up/down stats to library views [Parg]
FEATURE: UI   | Option to edit trackers when adding a download [Parg]
FEATURE: UI   | Added 'open torrent' option to tray icon [Parg]
FEATURE: UI   | Option to add peer(s) from peers view [Parg]
FEATURE: UI   | Multi-select files in the open torrent options dialog and move them to a folder in one operation [Parg]
FEATURE: Core | Support Per-download and per-file alerts [Parg]
FEATURE: Core | Some interesting config parameters (port numbers for example) are now exported into a readable file in the config dir [Parg]
FEATURE: Core | Auto-tagging based on torrent tracker hosts [Parg]
FEATURE: Core | Support tags on devices [Parg]
FEATURE: Core | Support never-transcode as option for device auto-transcoding [Parg]
FEATURE: Core | Added an 'Untagged' tag to represent downloads with no manual tag assigned [Parg]
FEATURE: Core | Added script actions as options for downloading/seeding complete events [Parg]
FEATURE: Core | Added ability to set a download's tags in the open torrent options dialog [Parg]
FEATURE: Core | Option to set a tag's initial save location [Parg]
FEATURE: Core | Per-tag target share ratio [Parg]

CHANGE: UI    | XML torrent import function was lost in the Vuze UI at some point - brought it back [Parg]
CHANGE: UI    | Added download size to archived download display in console UI [Parg]
CHANGE: UI    | Support maximising of torrent options window [Parg]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Basque translation update [Azpidatziak]
CHANGE: UI    | Spanish translation update [Valtiel]
CHANGE: UI    | Brought back the select all/mark/unmark buttons to open torrent options dialog [Parg]
CHANGE: UI    | Brought back ability to set top level folder name for multi-file torrents [Parg]
CHANGE: UI    | Non-simple torrents with a singel file were displaying inconsistently [Parg]
CHANGE: UI    | Handle double-click actions in files view correctly [Parg]
CHANGE: UI    | Sidebar download details order no maintained over restart [Parg]
CHANGE: UI    | Scale minibar fixed widget widths to accommodate font changes [Parg]
CHANGE: Plug  | Report removed downloads for a while in xmwebui in case there are multiple active clients [Parg]
CHANGE: Plug  | Ignore any socks proxy when using loopback connection to analyse content [Parg]
CHANGE: Core  | Disabled metadata exchange for private torrents [Parg] 
CHANGE: Core  | Improved performance of JSON encoding [Parg]
CHANGE: Core  | Prefer UTF-8 over system encoding for torrents if it seems to be as good [Parg]
CHANGE: Core  | Support more date formats when parsing search results [Parg]

BUGFIX: UI    | Persist column add/remove via header menu [Parg]
BUGFIX: UI    | Table structure change was losing a tag listener and subsequently failing to update correctly [Parg]
BUGFIX: UI    | Multiple concurrent torrent additions causing duplicate dialogs [Parg]
BUGFIX: UI    | Unloading a plugin was causing a second plugins images to be disposed [Parg]
BUGFIX: UI    | Search bar was truncating long URIs [Parg]
BUGFIX: Plug  | Magnet plugin wasn't handling URIs with 'xt' sections properly [Parg]
BUGFIX: Core  | Removed blocking call to get public IP address from initialization path [Parg]
BUGFIX: Core  | Downloads were being auto-stored in the wrong location [Parg]
BUGFIX: Core  | Respect 'do not activate UI' on download addition again [Parg]
BUGFIX: Core  | Fixed end-game-mode looping bug [Parg]
BUGFIX: Core  | Lots of minor fixes detected by Coverity static code analysis tool [Parg]
BUGFIX: Core  | Improved performance of timer event handling [Parg]
BUGFIX: Core  | Fixed 'upload only' message support [Parg]
BUGFIX: Core  | Prevent a hanging UPnP device from blocking caller [Parg]
BUGFIX: Core  | Handle separators other than '-' when parsing port ranges [Parg]
BUGFIX: Core  | Remove unnecessary retry on downloads that will most likely fail identically [Parg]
BUGFIX: Core  | Alert audio files weren't playing when contained in folders with certain characters in name [Parg]
BUGFIX: Core  | Improved robustness of magnet URI handling [Parg]



2013.08.13 | Vuze 5.1.0.0

FEATURE: UI   | New 'open-torrent' dialog design [TuxPaper]
FEATURE: UI   | OSX: Detect and reset torretnt file/url associations [TuxPaper]
FEATURE: UI   | Added option to show/hide the icon in the Rank column [Parg]
FEATURE: UI   | Added plugin lifecycle operations to console UI [Parg]
FEATURE: UI   | Added some pairing commands to the console UI [Parg]
FEATURE: UI   | Added 'Tags Overview' view [TuxPaper/Parg]
FEATURE: UI   | Option to toggle the 'new' download state for multiple selection [Parg]
FEATURE: UI   | Per-file availability column added [Parg]
FEATURE: UI   | Option to alter the top-level spacer rows in sidebar to allow compressed view [Parg]
FEATURE: UI   | Added a peak up/down column and some smoothed stats (up/down/eta) [Parg]
FEATURE: UI   | You can now rename any of the columns in table views to suit your needs [Parg]
FEATURE: UI   | Added 'Tags' column to Library views [Parg]
FEATURE: UI   | Library and Files view header now shows selected done/total file sizes when multi-selected [Parg]
FEATURE: UI   | Added config option to show the Options View as a sidebar entry rather than a separate window [Parg]
FEATURE: UI   | Added 'reset transfer stats' option to the torrent options/info view [Parg]
FEATURE: UI   | Added 'hide all' option to auto-tags [Parg]
FEATURE: UI   | Added Console view to Library sub-tabs (requires logging to be enabled) [Parg]
FEATURE: Plug | Added discoveries tab to Library views for specific download/size lookup [Parg]
FEATURE: Plug | No-proxy option for RSS Feed Scanner [Parg]
FEATURE: Plug | No-proxy option for Satus Mailer [Parg]
FEATURE: Plug | Added support for user-provided flags to location provider [Parg]
FEATURE: Core | Added simple IPv6 connectivity test [Parg]
FEATURE: Core | Support renaming of device content correctly [Parg]
FEATURE: Core | Added a 'mark' feature to overall stats so you can count from a point in time as opposed to install date [Parg]
FEATURE: Core | Speed limit handler now supports profile specific network limits [Parg]
FEATURE: Core | Per-tag minimum share ration option [Parg]
FEATURE: Core | Added option to move files (rather than copy+delete) on Windows when source+target same file system [Parg] 

CHANGE: UI    | Added roll-up ability for the 'Discovery' sidebar entry [TuxPaper]
CHANGE: UI    | Sidebar pop-up menu now shown in a tree/submenu layout [TuxPaper]
CHANGE: UI    | Removed unreliable/unsupported ping/tracert network tests [Parg]
CHANGE: UI    | Classic UI tab order memory added [Parg]
CHANGE: UI    | Moved search results and swarm discoveries to top of 'Discovery' entry [Parg]
CHANGE: UI    | Auto-hide devices that haven't been seen in a (configurable) time and alert when this happens [Parg]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Basque translation update [Azpidatziak]
CHANGE: Plug  | Added serbian and montenegro flags to location provider [Parg]
CHANGE: Core  | Improved performance of some averaging classes [Parg]
CHANGE: Core  | Major rework to file linking support [Parg]

BUGFIX: UI    | Fixed the min/max button shown for tab view [TuxPaper]
BUGFIX: UI    | Fixed some toolbar selection issues [TuxPaper]
BUGFIX: UI    | Fix last view not opening [TuxPaper]
BUGFIX: UI    | Bring back sidebar popup menu [TuxPaper]
BUGFIX: UI    | Better MDI entry/data source handling over restarts [TuxPaper]
BUGFIX: UI    | Hack for SWT icon transparency issue on Win 8 [Parg]
BUGFIX: UI    | DNS config section wiki link was broken [Parg]
BUGFIX: UI    | 'new' indicator wasn't being cleared for 'launch' actions [Parg]
BUGFIX: UI    | Fixed weird sort bug caused by sort occurring on hidden column [Parg]
BUGFIX: UI    | Fixed deadlock with authentication dialog [Parg]
BUGFIX: UI    | Fixed cell-specific cursor changes not working correctly [Parg]
BUGFIX: UI    | Newly added subscriptions were not showing correctly [Parg]
BUGFIX: UI    | Fixed sort order bug with file view index column [Parg]
BUGFIX: Plug  | Get the Twitter plugin working again [Parg]
BUGFIX: Plug  | Occasional stack-overflow in Transcoder plugin fix [Parg]
BUGFIX: Core  | Few bugfixes for Java 1.7 detection of comparator contract violation [Parg]
BUGFIX: Core  | Fix initialisation deadlock [Parg]
BUGFIX: Core  | Increase maximum message size limit due to enormous bit fields [Parg]
BUGFIX: Core  | Prevent scheduler from incorrectly resuming manually paused downloads [Parg]
BUGFIX: Core  | Got thread-dumping diagnostic logic working again [Parg]
BUGFIX: Core  | Work around for some plugin lock files preventing auto-backup from working [Parg]
BUGFIX: Core  | Update IPFilter modification time so that it correctly is applied to existing peer connections when modified [Parg]
BUGFIX: Core  | Fixed IPFilter bug that was causing it not to work correctly when the DHT plugin was disabled [Parg]
BUGFIX: Core  | Fixed speed limit handler day-selection bug [Parg]
BUGFIX: Core  | Fixed incomplete-file-suffix logic not being applied to plugin added downloads [Parg]
BUGFIX: Core  | Allow renaming of files in torrents that resolve to an identical file system name when transformed to object FS naming standards [Parg]




2013.05.08 | Vuze 5.0.0.0

FEATURE: Blog | See http://devblog.vuze.com/tagged/5000 for beta version blog posts

FEATURE: UI   | Buttons on toolbar now only shows on views that need the buttons [TuxPaper]
FEATURE: UI   | Support dragging files out of Files View as a File object, allowing dragging to Explorer, Editor, Player, etc [TuxPaper]
FEATURE: UI   | Program icon in file rows of Library view [TuxPaper]
FEATURE: UI   | Added 'pause' as right-click menu option in Library [Parg]
FEATURE: UI   | Added option to add-torrent dialog to perform a swarm file-size lookup for alternative torrents [Parg]
FEATURE: UI   | Added 'DHT Graph' view to the statistics tab that shows the main DHT operation state [Parg]
FEATURE: UI   | Added 'Tag Activity' view to the statistics tab that shows achieved up/down rates for selected tags [Parg]
FEATURE: UI   | Added peer flag and country code as default columns in library view [Parg]
FEATURE: UI   | Swarm view now shows peer's flags and has tooltip for more information; double clicking on a peer takes you to the peer in the peer's view [Parg]
FEATURE: UI   | Added torrent detail tab views to bottom of library views to give quick access to the download stats [Parg]
FEATURE: UI   | Made the Library view tabs closable [Parg]
FEATURE: UI   | Added a new 'Speed' tab to Library tab view and torrent details view showing a particular download's activity [Parg]
FEATURE: UI   | Added auto-tags for download state (queued, active, complete etc) [Parg]
FEATURE: UI   | Added manual tags to allow manual tagging of downloads [Parg]
FEATURE: UI   | Added 'ip set' tags to show peers belonging to ip sets (or country code sets) and optionally apply rate limits [Parg] 
FEATURE: UI   | Flash the 'downloading' sidebar entry when a new download is added [Parg]
FEATURE: UI   | Table header info in Files views now shows number selected when > 1 [Parg]
FEATURE: UI   | Added menu  link to get from entries in all-peers view to the relevant download [Parg]
FEATURE: UI   | Added 'remaining' count to aggregated torrents view [Parg]
FEATURE: Plug | Added option to Media Server plugin to ignore explicit bind-ips [Parg]
FEATURE: Plug | Added 'prevent computer sleep' option the the Embedded Media Player plugin [Parg]
FEATURE: Plug | Introduced the 'location provider' plugin to make location information (peer CC, flag) available to the Vuze core [Parg]
FEATURE: Plug | Added public tags to Swarm Discoveries information [Parg]
FEATURE: Core | uTP outbound connections now supported [Parg]
FEATURE: Core | uTP supported on Linux [Parg]
FEATURE: Core | JSON encoding support for .vuze files [Parg]
FEATURE: Core | Added a new .vuze file component type to encapsulate download addition [Parg]
FEATURE: Core | Introduced Tags as an (eventual) replacement for categories [Parg]
FEATURE: Core | Added a --restart command to allow scripted restart of Vuze [Parg]
FEATURE: Core | Speed Limit Handler now supports the inclusion of country codes into 'ip set' definitions [Parg]
FEATURE: Core | Fixed up IPv6 version server and DHT bootstrap somewhat [Parg]
FEATURE: Core | Support IP bind for HTTPS URLs [Parg]
FEATURE: Core | Added option to retain 'force' status of a download when transitioning from downloading to seeding [Parg]
FEATURE: Core | Improvements to plugin interface to support embedding Vuze [Parg]

CHANGE: UI    | Better magnet URL parsing when entering web page URL [TuxPaper]
CHANGE: UI    | Torrent icon is now shown by default in name column [TuxPaper]
CHANGE: UI    | Blue now is "incomplete" and green is "complete" for progress bar column, play button, download/upload arrow [TuxPaper]
CHANGE: UI    | Default columns in "Simple View" have changed [TuxPaper]
CHANGE: UI    | Added a up/down arrow to the "#"/"Order" column [TuxPaper]
CHANGE: UI    | Progress column no longer shows speed and ETA by default (configurable) -- speed and ETA have been added as separate columns [TuxPaper]
CHANGE: UI    | Start, Stop, Play/Stream, and View Mode buttons on toolbar updated [TuxPaper]
CHANGE: UI    | Sidebar now has a "Content Discovery" section. Related views have been moved there (Vuze HD Network, Games, Search Results, Swarm Discoveries, Subscriptions) [TuxPaper]
CHANGE: UI    | Renamed "Files" section to "My Torrents" and moved the section to the top [TuxPaper]
CHANGE: UI    | Added the rating column by default to some library views [Parg]
CHANGE: UI    | Tidied up some aspects of the rating plugin interface [Parg]
CHANGE: UI    | Reset table config when the 'reset config' button selected in Options->Mode [Parg]
CHANGE: UI    | Increase maximum manual piece size in torrent creation wizard [Parg]
CHANGE: UI    | Improved the 'no updates available' text for beta users [Parg]
CHANGE: UI    | Romainian language update [Laurentiu]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: Plug  | Vuze Web Remote: Support most of Transmission's remote API [TuxPaper]
CHANGE: Plug  | Remember side-bar close state for Swarm Discoveries and Embedded Media Player [TuxPaper]
CHANGE: Plug  | Remember Swarm Discoveries selection when switching away from the view and back [Parg]
CHANGE: Core  | Support faster refresh interval for the auto-torrent importer; ensure import run on startup [Parg]
CHANGE: Core  | Decrease memory used with queued UDP packets by trimming to MTU [Parg]
CHANGE: Core  | Decrease buffer copy operations for UDP operations (DHT and uTP) [Parg]
CHANGE: Core  | Added 'sleep' parameter to powrprof call when putting computer to sleep [Parg]
CHANGE: Core  | Improve performance for async-dispatcher operations [Parg]
CHANGE: Core  | Don't waste CPU creating anti-spoof ids for distant DHT nodes [Parg]
CHANGE: Core  | Cache torrent file count to reduce torrent file loading on startup [Parg] 
CHANGE: Core  | Webseed downloader instantiation delayed until required [Parg]
CHANGE: Core  | Pick up <link> value for download link if nothing else available in RSS feed subscriptions [Parg]

BUGFIX: UI    | Library in "Simple View" mode is now tall enough to display two lines of text [TuxPaper]
BUGFIX: UI    | Sample column on Column Setup Window is no longer partially hidden by scrollbar [TuxPaper]
BUGFIX: UI    | Fixerd filter box flickering when mousing over [TuxPaper]
BUGFIX: UI    | Fixed resource leak in table views, in particular the 'all peers' view [Parg]
BUGFIX: UI    | 'Play now' was not working properly with files using the 'incomplete suffix' feature [Parg] 
BUGFIX: UI    | Fixed classic view options panel not auto-reopening on start [Parg]
BUGFIX: UI    | External seed peers weren't showing outgoing request details [Parg]
BUGFIX: Core  | Files using the 'incomplete suffix' feature were not having this removed correctly if manually relocated [Parg]
BUGFIX: Core  | Built-in tracker wasn't obeying the 'ignore key check' option [Parg]
BUGFIX: Core  | Ensure UDP selector is deactivated when idle [Parg]
BUGFIX: Core  | Auto-resume of auto-paused downloads on stop option was broken [Parg]
BUGFIX: Core  | Stop completely failing SSL certificates containing ECC named curves that we don't know about [Parg]
BUGFIX: Core  | Work around the occasional presence of alternative crypto providers that clash with the default [Parg]
BUGFIX: Core  | Reworked the registration/lookup mechanism for the rating plugin to improve scalability [Parg] 
BUGFIX: Core  | Resource downloader wasn't ending the 'no proxy' block correctly [Parg]
BUGFIX: Core  | Torrent paused state was not being cleared properly when the torrent was manually started [Parg]
BUGFIX: Core  | Fixed high CPU usage bug in magnet-uri handler when bind failed [Parg]
BUGFIX: Core  | Fixed deleted tracker URLs reappearing due to DNS TXT handling and main announce URL being same as deleted one in tracker group [Parg]
BUGFIX: Core  | Fixed UI deadlock in table sort code [Parg]
BUGFIX: Core  | Fixed some performance issues caused by per-download listeners being added to various config variables [Parg]
BUGFIX: Core  | Introduced a linked-list backed 'copy on write' implementation to fix some performance issues [Parg]
BUGFIX: Core  | Prevent metadata downloads from triggering 'on download complete' actions [Parg]




2013.02.15 | Vuze 4.9.0.0

FEATURE: Blog | See http://devblog.vuze.com/tagged/4900 for beta version blog posts

FEATURE: Core | 'move do not download files to a subfolder' is back but defaults to 'disabled' [Parg]
FEATURE: Core | Support compact I2P announce responses [Parg]
FEATURE: Core | Speed Limit handler now supports pausing and resuming, total transfer limits and ip-sets [Parg]
FEATURE: Core | Added option to disable availability-based webseed activation to support faster startup [Parg]
FEATURE: Plug | Added 'boss key' plugin for Windows users [Parg]
FEATURE: Plug | Swarm Discoveries now support 'tracker sources' [Parg&TuxPaper]
FEATURE: UI   | Added UPnP media-server browser and playback (and add-to-device) under Devices Playback (deselect 'simple view' to access) [Parg]
FEATURE: UI   | Console UI now supports 'show t' option for dead torrents [Parg]
FEATURE: UI   | Added 'number of queued downloads' to library view header [Parg]
FEATURE: UI   | Added keyboard shortcut for 'pause-for-time' menu option [Parg]
FEATURE: UI   | Added option to show Vuze interface in all uppercase for those users that seem to be unable to turn capslock off on the forums [Parg]
FEATURE: UI   | When adding a torrent with the same hash as an existing download you are now prompted to merge in any additional trackers [Parg]
FEATURE: UI   | For non-OSX users the current transfer rates can now be displayed in the window title [Parg]

CHANGE: Core  | Reset the 'maybe VPN' settings when bind IPs modified [Parg]
CHANGE: Core  | Vuze clients are now displayed as 'Vuze' in the peers view instead of 'Azureus' [Parg]
CHANGE: Core  | The 'move dnd files to subfolder' now only applies to new downloads [Parg]
CHANGE: Core  | Support multiple routers to UPnP devices and try alternatives when one fails [Parg]
CHANGE: Plug  | Disabled the per-ASN DHT announces as no evidence it is of significant benefit [Parg]
CHANGE: Plug  | Plugin installer now defaults to per-user installs [Parg]
CHANGE: UI    | Speed test is now not automatically run on first install but linked from FTUX [TuxPaper]
CHANGE: UI    | Search results details pages now open in exernal browser [TuxPaper]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Basque translation update [Azpidatziak]
CHANGE: UI    | Spanish translation update [Valtiel]

BUGFIX: Core  | Fixed rare sort-contract-violation error under Java 7 during piece picking [Parg]
BUGFIX: Core  | Keep definitions of old network interfaces so correct classification can still be applied after an interface is lost [Parg]
BUGFIX: Core  | Disable DND TXT handling when using SOCKS proxy [Parg]
BUGFIX: Core  | Turn off auto-speed when applying the result of a speedtest otherwise it overwrites it [Parg]
BUGFIX: Core  | Fix update operations failing on OSX with Java 7 [Tuxpaper]
BUGFIX: UI    | Fixed display of disabled peer sources in sources view [Parg]
BUGFIX: UI    | Fixed 'escape' key not closing donation dialog [TuxPaper]
BUGFIX: UI    | Declining a 'Close Vuze?' prompt left window in invalid state [Parg]
BUGFIX: UI    | Recalculate hot spots in sidebar when scrolled [Parg]
BUGFIX: UI    | 'Full copy last seen' column was broken [Parg]



2012.12.17 | Vuze 4.8.1.2

BUGFIX: Core  | Removed the 'move do not download files to a subfolder' feature as it is misbehaving - see the 4813 beta series if you want to help test this [Parg]



2012.12.14 | Vuze 4.8.1.0

FEATURE: Blog | See http://devblog.vuze.com/tagged/4810 for beta version blog posts

FEATURE: Core | Added a 'pause for' (or 'resume after') option to the File menu to temporarily suspend downloads for a time period [Parg]
FEATURE: Core | Added option to prevent automatic copy to iTunes after conversion to allow tagging [Parg]
FEATURE: Core | Option to place 'do not download' stub files into a subdirectory (currently limited to downloads with <= 2048 files for performance reasons) [Parg]
FEATURE: Core | Added ability to prefer the IPv4 stack to help with some connection issues on Java 1.7 [Parg]
FEATURE: Core | Vuze now attempts to detect if you are running over a VPN and prompt you to bind to the VPN interface for increased privacy [Parg]
FEATURE: Core | Added ability to specify alternative DNS servers (default=Google DNS) to be used when resolving SOCKS proxies [Parg]
FEATURE: Core | Vuze now detects if an explictly bound interface is present when you start Vuze [Parg]
FEATURE: Core | Added option to close Vuze/perform computer power functions when transcoding completes [Parg]
FEATURE: Core | Added a .vuze file format for setting configuration items (e.g. installing a SOCKS proxy) [Parg]
FEATURE: Core | Added a customisation file type for configuration settings [Parg]
FEATURE: Core | Support php-like variable substitution in search template field names [TuxPaper]
FEATURE: UI   | Added 'create torrent' command to console UI [Parg]
FEATURE: UI   | Ability to show Vuze uptime added to Library headers [Parg]
FEATURE: UI   | Number of selected torrents now shown in Library headers [Parg]
FEATURE: UI   | Added a network binding staus icon to the status bar showing peer connection bindings [Parg]
FEATURE: UI   | The 'Transfers' view of the Statistics panel now shows connection routing details [Parg]
FEATURE: UI   | Added a SOCKS icon to the status bar - shows status and in particular if non-proxied incoming connections are being received [Parg]
FEATURE: UI   | Added a SOCKS status area to the Transfers view showing SOCKS proxy status [Parg] 
FEATURE: UI   | Under Options->Connection->Proxy Options there is now a 'test' button to check proxy status [Parg]
FEATURE: UI   | Added download context menu option to show the link that was used to download a torrent (where available) [Parg]
FEATURE: UI   | Added Help->Advanced option to show a torrent's details without loading the torrent into Vuze [Parg]
FEATURE: UI   | Added a 'browse to generated torrent' button to the new-torrent wizard [Parg]

CHANGE: Core  | Automatically accept unknown SSL certificated from HTTPS trackers (option to revert behaviour if required) [Parg]
CHANGE: Core  | Made it possible to disable the DNS tracker extension support as some users experiencing issues with their AV software and increased DNS activity [Parg]
CHANGE: Core  | Handle remote clients with no cookie support better [TuxPaper]
CHANGE: Core  | Improved the 'reset configuration state' behaviour somewhat [Parg]  
CHANGE: UI    | The new-torrent wizard will now prompt to overwrite the created torrent file if one already exists with same name [Parg]
CHANGE: UI    | Don't permit the auto-hiding of soem devices we know should never auto-hide [Parg] 
CHANGE: UI    | Spanish translation updated [Valtiel]
CHANGE: UI    | Brazilian Portuguese translation update [Havokdan]
CHANGE: UI    | Korean translation update [Dong-yoon Han]
CHANGE: UI    | Romanian translation update [muntealb]

BUGFIX: Core  | Fixed a SOCKS issue regarding local UPnP services [Parg]
BUGFIX: Core  | Fixed error caused by read-only plist causing incorrect 'document dir' default under OSX [Parg]
BUGFIX: Core  | Don't block Vuze initialisation when reading UPnP state from 'slow' routers [Parg]
BUGFIX: UI    | Fixed bug where the upload speed options were sometimes missing in the right-click status icon menu [Parg]
BUGFIX: UI    | Dialogs weren't be centered correctly under some circumstances [TuxPaper]
BUGFIX: UI    | Show pairing errors in remote-pairing dialog [Parg]
BUGFIX: UI    | Fix columns not being able to change their default alignment because user saved an unchanged alignment for it [TuxPaper]
BUGFIX: UI    | Fix AllPeersView nad PeersView getting their subviews mixed up [TuxPaper]
BUGFIX: UI    | Fix All Peers View not showing subviews (Piece Map, etc) [TuxPaper]
BUGFIX: UI    | Fix ever growing listeners list bug [Parg]
BUGFIX: UI    | Some statistics sub-views weren't opening correctly [Parg]



2012.10.24 | Vuze 4.8.0.0

FEATURE: Blog | See http://devblog.vuze.com/tagged/4800 for beta version blog posts

FEATURE: Plug | Swarm Discoveries
FEATURE: Plug | The RSS Feed plugin now can filter on min+max file types and also has a 'copy-filter' function [Parg+Community]
FEATURE: Core | Reduced resource usage mode on startup - still in a beta state [Parg]
FEATURE: Core | 'Prevent Computer Sleep' options now available on OSX [Parg]
FEATURE: Core | Added options to streaming and transcoding to prevent computer sleep [Parg]
FEATURE: Core | Auto-preview for .nfo and .txt files (Quick View) option added to Library and Files view [Parg]
FEATURE: Core | Analysis of .rar file content (indication of password protected entries) added as a Quick View function [Parg]
FEATURE: UI   | Added 'edit as text' option to the tracker URL editor dialog [Parg]
FEATURE: UI   | Added right-click menu to Sources tab to allow tracker URL edits [Parg]
FEATURE: UI   | Extended the existing 'add tracker url' Library menu option to accept multiple trackers [Parg]
FEATURE: UI   | Custom date format now applicable to ETA colums [Parg]
FEATURE: UI   | Added 'Torrent Creation Date' column to Library views [Parg]
FEATURE: UI   | Added per-column date formats for the ETA columns [Parg]
FEATURE: UI   | Added aggregate stats view (e.g. aggregate share-ratio for a number of downloads) to the 'Torrent Options' view [Parg]
FEATURE: UI   | Added plugin install and uninstall buttons to the plugin configuration view [Parg]

CHANGE: Core  | The previous release disabled IPFilters for Vuze update torrents, this has been reverted [Parg]
CHANGE: UI    | Plugin views now listed in View menu [TuxPaper]
CHANGE:       | 64 bit support [TuxPaper]
CHANGE: UI    | Absolute ETA display now separately configurable for ETA and Progress column [Parg]
CHANGE: UI    | Ignore temporary 'incomplete' suffix when showing file types [Parg]
CHANGE: UI    | Updated Catalan translation [GosGroc]

BUGFIX: Core  | Fixed bug whereby some transcodes were being incorrectly failed as 'prematurely terminated' [Parg]
BUGFIX: Core  | Fixed race condition that occurred when auto-transcoding from an RSS feed [Parg]
BUGFIX: Core  | Fixed error when creating manually-selected piece size torrents [Parg] 
BUGFIX: UI    | Fix CTRL-PGDN/CTRL-END in Library [TuxPaper]
BUGFIX: UI    | Fix sidebar entries for categories not updating numbers [TuxPaper]
BUGFIX: UI    | Fix sort column not refreshing sometimes [TuxPaper]
BUGFIX: UI    | Added some double buffering to fields that were flickering on update [Parg]
BUGFIX: UI    | Fixed UI hang under some multi-select conditions [Parg]
BUGFIX: Plug  | Transcoding was sometimes reporting 'no disk space' errors instead of the actual error [Parg]


Change log for versions prior to 4.8.0.0 can be found at http://plugins.vuze.com/changelog.php
